Accessing previous versions of shared files and folders

With Previous Versions, you can access previous versions of files and folders that are shared on your network.

  • For general background information, see Overview.
  • For help with specific tasks, see How to.
  • For problem-solving information, see Troubleshooting.


Accessing previous versions overview

If you work with files that are located in shared folders on your network, you may be able to access previous versions of your files. Accessing previous versions of your files is useful because you can:

  • Recover files that were accidentally deleted. If you accidentally delete a file, you can open a previous version and copy it to a safe location.
  • Recover from accidentally overwriting a file. If you accidentally overwrite a file, you can recover a previous version of the file.
  • Compare versions of file while working. You can use previous versions when you want to check what has changed between two versions of a file.

To access previous versions of files, your server administrator must enable Shadow Copies of Shared Folders on the file server. Shadow copies are copies of files that are located on the server and appear as previous versions. If you would like to have Shadow Copies of Shared Folders enabled, contact your administrator.

Notes

  • For you to access previous versions of files, the shared files must be located on a computer running an operating system in the Microsoft® Windows® Server 2003 family that has Shadow copies of Shared Folders enabled.
  • Previous versions are read-only. You cannot make changes to a previous version of the file as it exists on the server.
  • Previous versions are periodically deleted and can disappear at any time. If you think you might want a previous version of a file, it is recommended that you copy it to a safe place.
  • Please contact your server administrator if you want to know when previous versions are created or deleted.

For more information, see How to.


How to...

  • View a previous version of a file
  • Copy a previous version of a file to a new location
  • Restore a previous version of a file
  • Recover a file that was accidentally deleted


View a previous version of a file

Microsoft Windows Graphic

To view a previous version of a file

  1. Locate the file that you want to view a previous version of (on the network), right-click the file, and click Properties. The Properties dialog box will appear.
  2. On the Previous Versions tab, click the version you want to view and click View.

Notes

  • If the Previous Versions tab does not appear in the Properties dialog box, Shadow Copies of Shared Folders might not be enabled on the file server. Shadow copies are copies of files that are located on the server and appear as previous versions. Please contact your administrator for more information.
  • If there are no previous versions listed, the file has not changed since the oldest copy was taken.
  • Previous versions are read-only. You cannot make changes to the previous version of the file as it exists on the server.

Related Topics


Copy a previous version of a file to a new location

To copy a previous version of a file to a new location

  1. Locate the file that you want to copy (on the network), right-click the file, and click Properties. The Properties dialog box will appear.
  2. On the Previous Versions tab, click the version of the file that you want to copy and click Copy.
  3. In the Copy Items dialog box, click a new location to place the file and click Copy.

Notes

  • If the Previous Versions tab does not appear in the Properties dialog box, Shadow Copies of Shared Folders might not be enabled on the file server. Shadow copies are copies of files that are located on the server and appear as previous versions. Please contact your administrator for more information.
  • If there are no previous versions listed, the file has not changed since the oldest copy was taken.
  • When you use Copy, the file permissions will be set to the default permissions for the directory where the copy of the file is placed.


Restore a previous version of a file

To restore a previous version of a file

  1. Locate the file that you want to restore (on the network), right-click the file, and click Properties. The Properties dialog box will appear.
  2. On the Previous Versions tab, click the version of the file that you want to restore and click Restore. A warning message about restoring a previous version will appear. Click Yes to complete the procedure.

Caution

  • Restoring a previous version will delete the current version. If you choose to restore a previous version of a folder, the folder will be restored to its state at the date and time of the version you selected. You will lose any changes that you have made to files in the folder since that time. If you do not want to delete the current version of a file or folder, use Copy to copy the previous version to a different location.

Notes

  • If the Previous Versions tab does not appear in the Properties dialog box, Shadow Copies of Shared Folders might not be enabled on the shared resource. Shadow copies are copies of files that are located on the server and appear as previous versions. Please contact your administrator for more information.
  • If there are no previous versions listed, the file has not changed since the oldest copy was taken.
  • When you restore a previous version of a folder, files in the current folder that were not contained in the previous version of the folder will not be erased.
  • When you restore a file, the file permissions will not be changed; permissions will remain the same as they were before the restore. When you copy a previous version of a file, the permissions will be set to the default permissions for the directory where the copy of the file is placed.
  • Restoring a large directory puts a heavy load on the file server and can result in previous versions being deleted. Try to restore individual files instead of entire directories whenever possible.


Recover a file that was accidentally deleted

To recover a file that was accidentally deleted

  1. Locate the folder where the deleted file was stored (on the network), right-click the folder, and click Properties. The Properties dialog box will appear.
  2. On the Previous Versions tab, double-click the most recent version of the folder that contains the file that you want to recover. A list of files that are stored in that previous version will appear.
  3. Right-click the file that was accidentally deleted and click Copy.
  4. Right-click the location where you want to place the file and click Paste.

Notes

  • If the Previous Versions tab does not appear in the Properties dialog box, Shadow Copies of Shared Folders might not be enabled on the shared resource. Shadow copies are copies of files that are located on the file server and appear as previous versions. Please contact your administrator for more information.
  • When you copy a file, file permissions will be set to the default permissions for the directory where the copy of the file is placed.
  • When you recover a file that was accidentally deleted, you are copying a previous version. You will lose any changes made to the file after the last previous version was created.
  • To recover a deleted folder, go to a previous version of the parent folder to view and select the folder to copy.


Troubleshooting

This section provides problem-solving guidelines for accessing previous versions of files and folders.

What problem are you having?

I do not see a Previous Versions tab in the Properties dialog box.

Cause: Shadow Copies of Shared Folders is not enabled on the file server.

Solution: Contact your administrator about enabling Shadow Copies of Shared Folders on the file server.

There are no files listed in the Previous Versions tab of the Properties dialog box.

Cause: The file has not changed.

Solution: The file must be changed to view a previous version.

The previous version of the file I want to view is not listed anymore in the Previous Versions tab of the Properties dialog box.

Cause: Previous versions are periodically deleted due to space limitations on the server.

Solution: Contact your administrator about providing space for more previous versions on the file server.

I am having problems viewing a previous version of a file.

Cause: Previous versions are read-only, and some applications do not work well with read-only files.

Solution: Use Copy instead to copy the file to another location and open it from there to view.

I cannot locate previous versions of files that are stored in my coworker's shared folder.

Cause: The shared folder must be located on a computer running an operating system in the Windows Server 2003 family that has shadow copies enabled.

Solution: Move the files you share with your coworker to a shared folder on a computer running an operating system in the Windows Server 2003 family that has shadow copies enabled.